﻿
$ErrorActionPreference = 'Stop';

$packageName= 'gitea'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://dl.gitea.io/gitea/1.16.2/gitea-1.16.2-gogit-windows-4.0-386.exe'
$url64      = 'https://dl.gitea.io/gitea/1.16.2/gitea-1.16.2-gogit-windows-4.0-amd64.exe'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName

  url           = $url
  url64bit      = $url64

  softwareName  = 'Gitea'

  checksum      = '15aa5338f5bb327fcbf377a5bc2306f52a0d90f99f241a0535e4d102329d425a'
  checksumType  = 'sha256'
  checksum64    = '07722eeeeaea5b4ac746d2123991f9b87e7021c263766f8305b693e3f887046c'
  checksumType64= 'sha256'

  fileFullPath  = "$toolsDir\gitea.exe"

  validExitCodes= @(0)
}

Get-ChocolateyWebFile @packageArgs
